$(document).ready(function () {
    $('select').select2({
        minimumResultsForSearch: Infinity
    });
    $('.status-img').select2({
        minimumResultsForSearch: Infinity,
        templateResult: addUserPic,
        templateSelection: addUserPic
    });
    $('.navbar-toggle').click(function () {
        $('.main-menu ul').slideToggle();
    });
    $('.expand-box span').click(function () {
        var $el = $(this);
        $el.parent().parent().next().slideToggle();
    });

    if ($(window).width() <= '767') {
        $('.section-btn .box-btn').attr('value', 'Proceed');
        $(".app-out-btn .box-btn").text('Verify and proceed')
    }
});

function addUserPic(opt) {
    if (!opt.id) {
        return opt.text;
    }
    var optimage = $(opt.element).data('image');
    if (!optimage) {
        return opt.text;
    } else {
        var $opt = $(
                '<span class="userName"><img src="' + optimage + '" class="userPic" /> ' + $(opt.element).text() + '</span>'
                );
        return $opt;
    }
};

equalheight = function (container) {

    var currentTallest = 0,
            currentRowStart = 0,
            rowDivs = new Array(),
            $el,
            topPosition = 0;
    $(container).each(function () {

        $el = $(this);
        $($el).height('auto')
        topPostion = $el.position().top;

        if (currentRowStart != topPostion) {
            for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
                rowDivs[currentDiv].height(currentTallest);
            }
            rowDivs.length = 0; // empty the array
            currentRowStart = topPostion;
            currentTallest = $el.height();
            rowDivs.push($el);
        } else {
            rowDivs.push($el);
            currentTallest = (currentTallest < $el.height()) ? ($el.height()) : (currentTallest);
        }
        for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
            rowDivs[currentDiv].height(currentTallest);
        }
    });
}

$(window).load(function () {
    equalheight('.eq-height');
    equalheight('.eq-second-height');
});


$(window).resize(function () {
    equalheight('.eq-height');
    equalheight('.eq-second-height');
});
